Bug 247312 - Review Request: MyPasswordSafe - A graphical password management tool
Review Request: MyPasswordSafe - A graphical password management tool
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-06 16:18 EDT by Ralf Ertzinger
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-02 15:53:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑review+
wtogami: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ralf Ertzinger 2007-07-06 16:18:52 EDT
Spec URL: http://www.skytale.net/files/MyPasswordSafe/MyPasswordSafe.spec
SRPM URL: http://www.skytale.net/files/MyPasswordSafe/MyPasswordSafe-0.6.7-0.1.20061216.sky.src.rpm
MyPasswordSafe is a straight-forward, easy-to-use password manager that
maintains compatibility with Password Safe files. MyPasswordSafe has the
following features:

* Safes are encrypted when they are stored to disk.
* Passwords never have to be seen, because they are copied to the clipboard
* Random passwords can be generated.
* Window size, position, and column widths are remembered.
* Passwords remain encrypted until they need to be decrypted at the dialog
  and file levels.
* A safe can be made active so it will always be opened when MyPasswordSafe
* Supports Unicode in the safes
* Languages supported: English and French
Comment 1 Warren Togami 2007-07-18 16:42:10 EDT
- %changelog
- 0.6.7-0.1.20061216.fc8
There is no need to write the %dist tag here.  It is misleading.

+ make -j3 PREFIX=/usr
echo "#ifndef CONFIG_H" > src/config.h
qmake -o MyPasswordSafe.mak MyPasswordSafe.pro
make: qmake: Command not found
make: *** [MyPasswordSafe.mak] Error 127
make: *** Waiting for unfinished jobs....
echo "#define CONFIG_H" >> src/config.h
echo "#define PREFIX \"/usr\"" >> src/config.h
echo "#define VERSION \"0.6.7\"" >> src/config.h
echo "#define COMP_DATE \"20070718\"" >> src/config.h
echo "#define COMP_USER \"builder1\"" >> src/config.h
echo "#define COMP_HOST \"newcaprica\"" >> src/config.h
echo "#endif" >> src/config.h
error: Bad exit status from /var/tmp/rpm-tmp.22443 (%build)

Manual build attempt on F7.  Some missing buildrequire?
Comment 2 Ralf Ertzinger 2007-07-18 17:00:38 EDT
Dist tag will be removed.

qmake comes from qt-devel (which is in BR). Local path issue?

Package builds in koji for F-7:
Comment 3 Warren Togami 2007-07-18 17:34:41 EDT
unset QTDIR || : ; . /etc/profile.d/qt.sh

Add this near the top of your %build section.  This is the standard for all
qt-using packages.

Comment 4 Ralf Ertzinger 2007-07-19 16:50:01 EDT
Spec URL: http://www.skytale.net/files/MyPasswordSafe/MyPasswordSafe.spec

Fixes QT environment
Fixes dist-in-changelog
Comment 5 Warren Togami 2007-07-24 13:49:01 EDT
error 404
Comment 6 Ralf Ertzinger 2007-07-24 15:31:55 EDT
Comment 7 Warren Togami 2007-07-27 16:29:00 EDT
unset QTDIR || :

This isn't incorrect, but curious as to how this could ever fail to necessitate
the || :?

Package looks good.  

Comment 8 Ralf Ertzinger 2007-08-01 16:52:59 EDT
New Package CVS Request
Package Name: MyPasswordSafe
Short Description: A graphical password management tool
Owners: redhat-bugzilla@camperquake.de
Branches: F-7
Comment 9 Ralf Ertzinger 2007-08-02 15:53:36 EDT
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.